Subject: unresolved symbol main_table and local_table

From: "Nicholas Dearham" <[email-masked]>
Date: Thu, 14 Nov 2002 09:42:27 +0200

Hi there,

I'm new to writing Linux kernel modules for an Ipaq. When I compile my
module everything is fine, but when I install it onto the Ipaq I get
unresolved symbol main_table and unresolved symbol local_table. How do I
overcome these. The Linux code seems to already define these pointers,
so I don't need anything extra in my code (at least I think!). I'm using
Linux 2.4.28-rmk3 for both my Ipaq and my i686. I, however, am using the
"Familiar" distribution for the Ipaq and a 
Toolchain cross-compiler (arm-Linux-gcc) to build the modules required.
I read on "The Linux-kernel mailing list FAQ" section 8, that one must
use -02 compiler extension to ensure the code gets inline'd and I'm
doing this, but still get the error!

Any help will be greatly appreciated,
Thanks,

Nic D.